﻿using UnityEngine;
using System.Collections;
using System.ComponentModel;

public class ObstacleBehavior : MonoBehaviour 
{
    public float fMoveSpeed = 0.0f;

    private GameManager theGame;

    public GameObject Particle_ObstacleImpact;
    public GameObject Prefab_DecalOnDeath;
    public GameObject Particle_ForDecalOnDeath;

    // Use this for initialization
    void Start()
    {
        theGame = GameObject.Find("GameManager").GetComponent<GameManager>();
    }
	
	// Update is called once per frame
	void Update () 
    {
	    //move south
        Vector3 vPos = transform.position;
        vPos.y -= Time.deltaTime * (theGame.fTruckSpeed + fMoveSpeed);

        if (vPos.y < -10)
        {
            Destroy(gameObject);
            //vPos.y = 10 + Random.value * 4.0f;
            //vPos.x = -5 + (10 * Random.value);
        }

        transform.position = vPos;

	}

    public void HitAndDie()
    {
        if (Particle_ObstacleImpact != null)
        {
            GameObject asplosion = Instantiate(Particle_ObstacleImpact);
            asplosion.transform.position = transform.position;
            Destroy(asplosion, 3.0f);
        }

        if (Prefab_DecalOnDeath != null)
        {
            GameObject go = Instantiate(Prefab_DecalOnDeath);
            go.transform.position = transform.position;

            if (Particle_ForDecalOnDeath != null)
            {
                GameObject decal = Instantiate(Particle_ForDecalOnDeath);
                decal.transform.position = go.transform.position;
                decal.transform.parent = go.transform;
            }
        }


        // Don't respawn any longer
        //Vector3 vPos = transform.position;
        //vPos.y = 10 + Random.value * 4.0f;
        //vPos.x = -5 + (10 * Random.value);
        //transform.position = vPos;
        
        Destroy(gameObject);

    }
}
