﻿using UnityEngine;
using System.Collections;

public class TireTrack : MonoBehaviour
{
    private GameManager theGame;
    public float TrackFadeAfter;
    [HideInInspector]
    public float fLifetime = 0.0f;

	// Use this for initialization
	void Start () 
    {
        theGame = GameObject.Find("GameManager").GetComponent<GameManager>();
	}
	
	// Update is called once per frame
	void Update ()
	{
	    fLifetime += Time.deltaTime;
        if (fLifetime > TrackFadeAfter)
	    {
            float fAlphaValue = 1.0f - (fLifetime - TrackFadeAfter) / TrackFadeAfter;
	        if (fAlphaValue < 0.0f)
	            fAlphaValue = 0.0f;

	        SpriteRenderer sr = GetComponent<SpriteRenderer>();
	        sr.color = new Color(1.0f, 1.0f, 1.0f, fAlphaValue);


	    }
	    Vector3 vPos = transform.position;
	    vPos.y -= theGame.fTruckSpeed*Time.deltaTime;
        if(vPos.y < -10 )
            Destroy(gameObject);
        else
        {
            transform.position = vPos;
        }
	}
}
