﻿using UnityEngine;
using System.Collections;

public class TireUpdate : MonoBehaviour
{

    public ShepAnim idleAnim;
    private ShepSpriteAnimator myAnimator;

    public GameObject TrackPrefab;

    public float fTrackTimer;

	// Use this for initialization
	void Start () 
    {
        myAnimator = GetComponent<ShepSpriteAnimator>();
        if( myAnimator != null )
            myAnimator.SetAnimation(idleAnim);
	}
	
	// Update is called once per frame
	void Update ()
	{
	    if (TrackPrefab != null)
	    {
	        fTrackTimer -= Time.deltaTime;

	        if (fTrackTimer <= 0.0f)
	        {
	            fTrackTimer = 0.01f;
	            GameObject go = Instantiate(TrackPrefab);
	            go.transform.position = transform.position;

	        }
	    }
	}
}
